#!/usr/bin/perl -w

# Written by Dirk Dietrich (dirk@ruebenrotze.de) 05.2005
# Collecting Samba Stats
# Tested on FC3 Samba v3.0.10

# Count all lines which includes a number (PID)
$files = `smbstatus -L | grep -c -P '(\\d+)'`;
$processes = `smbstatus -p | grep -c -P '(\\d+)'`;
$shares = `smbstatus -S | grep -c -P '(\\d+)'`;

chomp ($processes, $shares, $files);

$processes--; # Because line with version-number is also counted

print "processes:$processes shares:$shares files:$files";
